#ifndef MPLIB1_BUILD_ARGV
#define MPLIB1_BUILD_ARGV
/*
*******************************************************************************
*  Copyright (c) 1997 Martin Poole                            *
*******************************************************************************
**
*******************************************************************************
*/

/* ------------------------------------------------------------------
    Include files
   ------------------------------------------------------------------ */

#include <mplib1/dl_list.h>

/* ------------------------------------------------------------------
    defines
   ------------------------------------------------------------------ */

struct argv_track
{
dl_Node_t	v_node;
dl_List_t	m_track;
dl_List_t	v_parts;
dl_List_t	f_track;
char		**argv;
int		argc;
};

/* ------------------------------------------------------------------
    Code starts here
   ------------------------------------------------------------------ */

extern struct argv_track *build_argv_track( struct argv_track *argvtp, ... );
extern void free_argv_track( struct argv_track *argvtp );

#endif
/* -- End of File -- */
