#ifndef MPLIB1_DAEMON_H
#define MPLIB1_DAEMON_H
/*
*******************************************************************************
*  Copyright (c) 1997 Martin Poole                            *
*******************************************************************************
**
*******************************************************************************
*/

/* ------------------------------------------------------------------
    defines
   ------------------------------------------------------------------ */

/* ------------------------------------------------------------------
    structures
   ------------------------------------------------------------------ */

/* ------------------------------------------------------------------
    function definitions
   ------------------------------------------------------------------ */

extern int restart_files( void );
extern pid_t leavehome( void );
extern int
restart_these_files( const char *in_name,
		    const char *out_name,
		    const char *err_name );

extern void init_signalling( void );
extern int check_signalling( void );
extern int allow_sysint( void );
extern int deny_sysint( void );

extern int
mp_daemon_sleep( int poll_fd, int how_long );

extern int
mp_daemon_loop( int poll_fd,
		int(*poll_func)(int),
		int(*u1_func)(int),
		int(*u2_func)(int),
		int(*int_func)(int),
		int(*term_func)(int),
		int flags );

#endif
/* -- End of File -- */
