/*
*******************************************************************************
*  Copyright (c) 1997 Martin Poole                            *
*******************************************************************************
**
*******************************************************************************
*/

/* ------------------------------------------------------------------
    Include files
   ------------------------------------------------------------------ */

#include <stdlib.h>
#include <string.h>

#include <mplib1/mplib1_config.h>
#include <mplib1/safe_string.h>

/* ------------------------------------------------------------------
    defines
   ------------------------------------------------------------------ */

/* ------------------------------------------------------------------
    Code starts here
   ------------------------------------------------------------------ */

size_t
Sstrlen( const char *str1 )
{
    size_t i;
    if (str1)
	i=strlen(str1);
    else
	i=0;
    return(i);
}

char *
Sstrcpy( char *str1, const char *str2 )
{
    if (str2)
	strcpy( str1, str2 );
    else 
	*str1='\0';
    return(str1);
}

/* -- End of File -- */
