#ifndef MPLIB1_SH_DIAG_H
#define MPLIB1_SH_DIAG_H
/*
*******************************************************************************
*  Copyright (c) 1997 Martin Poole                            *
*******************************************************************************
**
** WARNING !!  WARNING !! WARNING !! WARNING !! WARNING !! WARNING !!
**
** Any changes to be made to this file should first be checked with
** mplib1 source control for library integrity.
**
** mplib1 source control can be reached at  mplib1@quatermass.co.uk
** 
*
*  $Source$
*  $Author$
*  $Date$
*  $Revision$
*
*******************************************************************************
*
* Change History
*
* $Log$
*
*******************************************************************************
*/

#include <mplib1/mplib1_config.h>
#include <mplib1/dl_list.h>
#include <mplib1/bpo.h>

/* ------------------------------------------------------------------
    defines
   ------------------------------------------------------------------ */

/* ------------------------------------------------------------------
    structures
   ------------------------------------------------------------------ */

/* ------------------------------------------------------------------
    function definitions
   ------------------------------------------------------------------ */


extern int diag_Validate_Shalloc( void *where, int which, int do_clean );

extern int diag_Validate_Processes( void *vp, int do_clean );

extern int diag_Validate_Queues( void *vp, int do_clean );

extern int diag_Validate_Resources( void *vp, int do_clean );

extern int interactive_loop( void *vp );

extern int sh_diag_disp_init( void );

#endif
/* -- End of File -- */
